<!-- Generated template for the ParkedComponent component -->
<ion-slides *ngIf="firstStep">
	<ion-slide> 
		<div class="form pad-all-10">
			<h2 class="pad-all-10"> Where are you parked? </h2> 
			<ion-list radio-group [(ngModel)]="parking">
			  <ion-item>
			    <ion-label>Parking Lot</ion-label>
			    <ion-radio value="parkingLot" checked></ion-radio>
			  </ion-item>
			  <ion-item>
			    <ion-label>Short Term Lot A</ion-label>
			    <ion-radio value="ShortA"></ion-radio>
			  </ion-item>
			  <ion-item>
			    <ion-label>Short Term Lot B</ion-label>
			    <ion-radio value="ShortB"></ion-radio>
			  </ion-item>
			  <ion-item>
			    <ion-label>Long Term Parking Lot</ion-label>
			    <ion-radio value="LongTerm"></ion-radio>
			  </ion-item>
			</ion-list>

			<button (click)="nextSlide(); hideParent()" position="bottom" id="button-float" ion-button block color="primary" class="rounded">
				Next <ion-icon name="md-arrow-forward" style="padding-left:10px" class="icon-big"></ion-icon>
			</button>
			<button (click)="backParent()" position="bottom" id="button-float-left" ion-button block color="light" class="rounded">
				<ion-icon name="md-arrow-back" class="icon-big" style="padding-left:10px; color: #888;"></ion-icon>
			</button>
		</div>
	</ion-slide> 

	<ion-slide>
		<div class="form pad-all-10">
			<h2 class="pad-all-10"> When is your ride happening? </h2> 

			<ion-item>
			    <ion-label class="bigger-text"><ion-icon name="calendar" class="icon-big-2"></ion-icon>
			     Ride Date</ion-label>
			    <ion-datetime displayFormat="YYYY-MM-DD" [(ngModel)]="ride_date" [min]="minDate"
			     max="2020"></ion-datetime>
		  	</ion-item>

	  		<button (click)="nextSlide()" position="bottom" id="button-float" ion-button block color="primary" class="rounded">
				Next <ion-icon name="md-arrow-forward" style="padding-left:10px" class="icon-big"></ion-icon>
			</button>
			<button (click)="backSlide()" position="bottom" id="button-float-left" ion-button block color="light" class="rounded">
				<ion-icon name="md-arrow-back" class="icon-big" style="padding-left:10px; color: #888;"></ion-icon>
			</button>
		</div>
	</ion-slide> 

	<ion-slide>
		<div class="form pad-all-10">
			<h2 class="pad-all-10">What time will your ride occur?</h2>

			<ion-item>
				<ion-label class="bigger-text"><ion-icon name="clock" class="icon-big-2"></ion-icon>
			     Ride Time</ion-label>
				<ion-datetime displayFormat="hh:mm a" [(ngModel)]="ride_hour"></ion-datetime>
			</ion-item>

			<button (click)="nextSlide()" position="bottom" id="button-float" ion-button block color="primary" class="rounded">
				Next <ion-icon name="md-arrow-forward" style="padding-left:10px" class="icon-big"></ion-icon>
			</button>
			<button (click)="backSlide()" position="bottom" id="button-float-left" ion-button block color="light" class="rounded">
				<ion-icon name="md-arrow-back" class="icon-big" style="padding-left:10px; color: #888;"></ion-icon>
			</button>
		</div>
	</ion-slide> 

	<ion-slide>
		<div class="form pad-all-10">
			<h2 class="pad-all-10">Please select a meeting point:</h2>

			<ion-select [(ngModel)]="meeting" >
				<ion-option *ngFor="let m of airport.meetings" [value]="m.id"> 
					{{m.meeting_point}} 
				</ion-option> 
			</ion-select> 
<!-- 			<ion-list radio-group [(ngModel)]="meeting">
			  <ion-item *ngFor="let m of airport.meetings">
			    <ion-label>{{m.meeting_point}}</ion-label>
			    <ion-radio [value]="m.id" checked></ion-radio>
			  </ion-item>
			</ion-list> -->

			<button (click)="nextSlide()" position="bottom" id="button-float" ion-button block color="primary" class="rounded">
				Next <ion-icon name="md-arrow-forward" style="padding-left:10px" class="icon-big"></ion-icon>
			</button>
			<button (click)="backSlide()" position="bottom" id="button-float-left" ion-button block color="light" class="rounded">
				<ion-icon name="md-arrow-back" class="icon-big" style="padding-left:10px; color: #888;"></ion-icon>
			</button>
		</div>
	</ion-slide> 

	<ion-slide>
		<div class="form pad-all-10">
			<h2 class="pad-sides-10"> Just a few more details... </h2>

			<ion-row style="margin-top:30px;">
				<ion-col col-6 class="text-left">
					<ion-label style="text-align: left;">Seat Price</ion-label>
				</ion-col>
				<ion-col col-2 class="text-left">
					<button (click)="sub()" class="priceIcons">
						<ion-icon name="remove" class="grey-circle"></ion-icon>
					</button>
				</ion-col>
				<ion-col col-2>
					<h4 class="text-center" style="padding:16px 0 0 16px"> 
						{{ price }} </h4>
				</ion-col>
				<ion-col col-2>
					<button (click)="add()" class="priceIcons">
						<ion-icon name="add" class="grey-circle"></ion-icon>
					</button>
				</ion-col>
				<ion-col col-2></ion-col>
			</ion-row>

			<ion-row style="margin-top:10px;">
				<ion-col col-6 class="text-left">
					<ion-label style="text-align: left;">Seats Offered</ion-label>
				</ion-col>
				<ion-col col-2 class="text-left">
					<button (click)="subSeats()" class="priceIcons">
						<ion-icon name="remove" class="grey-circle"></ion-icon>
					</button>
				</ion-col>
				<ion-col col-2>
					<h4 class="text-center" style="padding:16px 0 0 16px"> 
						{{ seats }} </h4>
				</ion-col>
				<ion-col col-2>
					<button (click)="addSeats()" class="priceIcons">
						<ion-icon name="add" class="grey-circle"></ion-icon>
					</button>
				</ion-col>
				<ion-col col-2></ion-col>
			</ion-row>

			<ion-row>
				<ion-col col-6 class="text-left">
					<ion-label style="text-align: left;">Luggage</ion-label>
					<p style="margin-top: -5px; font-size: 10px !important; text-align: left;">(Per Passenger)</p>
				</ion-col>
				<ion-col col-2 class="text-left">
					<button (click)="subLuggage()" class="priceIcons">
						<ion-icon name="remove" class="grey-circle"></ion-icon>
					</button>
				</ion-col>
				<ion-col col-2>
					<h4 class="text-center" style="padding:16px 0 0 16px"> 
					{{ luggage_amount }} </h4>
				</ion-col>
				<ion-col col-2>
					<button (click)="addLuggage()" class="priceIcons">
						<ion-icon name="add" class="grey-circle"></ion-icon>
					</button>
				</ion-col>
			</ion-row>

			<div>
			  	<ion-item>
				    <ion-label>Luggage Size</ion-label>
				    <ion-select  [(ngModel)]="luggage_size">
		      			<ion-option value="Small" Selected>Small</ion-option>
		      			<ion-option value="Medium">Medium</ion-option>
		      			<ion-option value="Large">Large</ion-option>
		      		</ion-select>
			  	</ion-item>

			  	<ion-label>Description</ion-label>
				  	<ion-item>
					    
					    <ion-textarea [(ngModel)]="description" 
					    				rows="6" cols="1"
					    				placeholder="Any additional details go here.">
					    </ion-textarea>
				  	</ion-item>
			</div>

			<button (disabled)="allowCreate" (click)="createRide()" position="bottom" id="button-float" ion-button block color="primary" class="rounded"> Create <ion-icon name="md-arrow-forward" style="padding-left:10px"></ion-icon>
			</button> 
			<button (click)="backSlide()" position="bottom" id="button-float-left" 
		    		ion-button block color="light" class="rounded">
				 <ion-icon name="md-arrow-back" class="icon-big" style="padding-left:10px; color: #888;"></ion-icon>
			</button>

		</div>
	</ion-slide>
</ion-slides> 

<div *ngIf="secondStep">
	<div class="pad-all-10 text-center">
		<h1 class="pad-all-10"> Your ride has been created!</h1> 
		<button ion-button block color="primary" (click)="rideHistory()" class="btn rounded">
			Ride History
		</button>
	</div>
</div> 
